LibreOffice: Bookmarks Service Reference

LibreOffice LibreOffice 5.0 SDK API Reference

- Main Page
- Related Pages
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Exported Interfaces | List of all members
Bookmarks Service Referencepublished

This service specifies a collection of Bookmarks. More...

`import"Bookmarks.idl";`

Inheritance diagram for Bookmarks:

## Exported Interfaces
interface | com::sun::star::container::XNameAccess
| makes it possible to access the bookmarks by their names. More...
interface | com::sun::star::container::XIndexAccess
| makes it possible to access the bookmarks by their index. More...

## Additional Inherited Members
Public Member Functions inherited from XNameAccess
any | getByName ([in] string aName) raises ( com::sun::star::container::NoSuchElementException, com::sun::star::lang::WrappedTargetException )
sequence< string > | getElementNames ()
boolean | hasByName ([in] string aName)
Public Member Functions inherited from XElementAccess
type | getElementType ()
boolean | hasElements ()
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...
Public Member Functions inherited from XIndexAccess
long | getCount ()
any | getByIndex ([in] long Index) raises ( com::sun::star::lang::IndexOutOfBoundsException, com::sun::star::lang::WrappedTargetException )

## Detailed Description

This service specifies a collection of Bookmarks.

## Exported Interfaces

interface com::sun::star::container::XIndexAccess

makes it possible to access the bookmarks by their index.

All contents support the service Bookmark.

interface com::sun::star::container::XNameAccess

makes it possible to access the bookmarks by their names.

All contents support the service Bookmark.

The documentation for this service was generated from the following file:

- com/sun/star/text/Bookmarks.idl